# class KPopupFrame | Frame with popup menu behaviour. More...
Definition | `#include <kdatetbl.h>`
Inherits | QFrame (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KPopupFrame (QWidget* parent=0, const char* name=0)
- void setMainWidget (QWidget* m)
- void resizeEvent (QResizeEvent*)
- void popup (const QPoint &pos)
- int exec (QPoint p)
- int exec (int x, int y)

#### Public Slots

- void close (int r)

#### Protected Methods

- void keyPressEvent (QKeyEvent* e)

#### Protected Members

- int result
- QWidget *main

## Detailed Description

Frame with popup menu behaviour.

int result | ### result

[protected]

void keyPressEvent (QKeyEvent* e) | ### keyPressEvent

[protected]

QWidget * main | ### main

[protected]

void close (int r) | ### close

[slot]

Close the popup window. This is called from the main widget, usually. r is the result returned from exec().

KPopupFrame (QWidget* parent=0, const char* name=0) | ### KPopupFrame

void setMainWidget (QWidget* m) | ### setMainWidget

Set the main widget. You cannot set the main widget from the constructor, since it must be a child of the frame itselfes. Be careful: the size is set to the main widgets size. It is up to you to set the main widgets correct size before setting it as the main widget.

void resizeEvent (QResizeEvent*) | ### resizeEvent

The resize event. Simply resizes the main widget to the whole widgets client size.

Reimplemented from QFrame.

void popup (const QPoint &pos) | ### popup

int exec (QPoint p) | ### exec

int exec (int x, int y) | ### exec

- Version: $Id: kdatetbl.h,v 1.19 2000/08/15 21:42:06 waba Exp $
- Author: Tim Gilman, Mirko Sucker
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.